<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'purreg_fr.php';
$formname = 'Purchase Register';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];
$scope = $_POST['scope'];

if ($scope == 1) {
    $vat = " AND totvat > 0 ";
} else if ($scope == 2) {
    $vat = " AND totvat <= 0";
} else {
    $vat = "";
}


if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}
if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}
if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}

$getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `purmain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond $vat order by vouchdt,vouchno") or die(mysqli_error($conn));
$getno2 = mysqli_num_rows($getpmain2);

if (isset($_POST["view"]) || ($_GET["view"])) {


    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }
    </style>
    </head>

    <body>


        <div class="container">
            <?php
            include("includes/head_rep2.php");

            if ($getno2 > 0) {
            ?>
                <div class="row">
                    <div class="col-lg-12 pad">
                        <table class="table table-condesed table-bordered">
                            <tr class="mySearchTr">
                                <!--9221292520-->
                                <th width="100%" class="h4" style="color:white"><b><?= $formname ?></b></th>
                            </tr>
                            <tr>
                                <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                                    Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                                </td>
                            </tr>
                        </table>
                        <?php if ($ptype != "") { ?>
                            <table width="100%" class="table" style="background-color: #98F9F0">
                                <tr>
                                    <td width="7%" style="font-size:14px">Pay Type : </td>
                                    <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td>
                                </tr>
                            </table>
                        <?php } ?>
                        <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                            <thead class="mySearchTr">
                                <tr>
                                    <th width="3%;">Sr</th>
                                    <th width="4%;">Voucher</th>
                                    <th width="8%;">Invoice No.</th>
                                    <th width="7%;">Date</th>
                                    <th width="30%;">Party Name</th>
                                    <?php if ($ptype != "") { ?>
                                        <th width="7%;">Pay type</th>
                                    <?php } ?>
                                    <th width="10%;" class="text-right">Total Qty.</th>
                                    <th width="10%;" class="text-right">Sub Total</th>
                                    <th width="8%;" class="text-right">Disc Amt.</th>
                                    <th width="8%;" class="text-right">GT</th>
                                    <th width="10%;" class="text-right">Net Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $pctr = 0;
                                $ptotamt = 0;
                                $ptotdiscamt = 0;
                                $ptottaxable = 0;
                                $ptotgst3 = 0;
                                $ptotgst5 = 0;
                                $ptotgst12 = 0;
                                $ptotgst18 = 0;
                                $ptotgst28 = 0;
                                $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                                $pchtypecond = "";

                                $gqty = 0;
                                while ($pmain = mysqli_fetch_array($getpmain2)) {
                                    $tqty = 0;
                                    if ($pmain['paidby'] == "C") {
                                        $ptyped = "CASH";
                                    } else {
                                        $ptyped = "CREDIT";
                                    }


                                    $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                    $sparty = mysqli_fetch_array($gparty);

                                    $getqty = mysqli_query($conn, "SELECT sum(qty) as tqty FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' ") or die(mysqli_error($conn));
                                    $fetqty = mysqli_fetch_array($getqty);
                                    $tqty = $fetqty['tqty'];
                                    $gqty = $gqty + $tqty;
                                    $voucher = $pmain['vouchno'];
                                    $invno = $pmain['invno'];
                                    $mydt = $pmain['mydt'];
                                    $party = $sparty['name'];
                                    $billamt = $pmain['billamt'];
                                    $subtot = $pmain['grossamt'];
                                    $totvat = $pmain['vatamt'];
                                    $totdisc = $pmain['totdisc'];

                                    $pctr++;
                                    echo "<tr data-href='purchase.php?mode=edit&vouchno=$voucher' class='clickable-row2' style='cursor: pointer;' [target]='_blank'>";
                                    echo "<td>$pctr</td>";
                                    echo "<td>$voucher</td>";
                                    echo "<td>$invno</td>";
                                    echo "<td>$mydt</td>";
                                    echo "<td>$party</td>";
                                    if ($ptype != "") {
                                        echo "<td>$ptyped</td>";
                                    }
                                    echo "<td class='text-right'>$tqty</td>";
                                    echo "<td class='text-right'>$subtot</td>";
                                    echo "<td class='text-right'>$totdisc</td>";
                                    echo "<td class='text-right'>$totvat</td>";
                                    echo "<td class='text-right'>$billamt</td>";
                                    echo "</tr>";



                                    $pgrsubtot = $pgrsubtot + $subtot;
                                    $pgrtotdis = $pgrtotdis + $totdisc;
                                    $pgrtotvat = $pgrtotvat + $totvat;
                                    $pgrtotbillamt = $pgrtotbillamt + $billamt;

                                    if ($_POST["dtype"] == 2) {

                                        echo "<tr style='height:10px;'>";
                                        echo "<td colspan='25'>";
                                        echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        echo "<thead>";
                                        echo "<tr class='' style='background-color:#BABFC2'>";
                                        echo "<th style='width:5%;'>Sr</th>";
                                        echo "<th style='width:8%;'>Code</th>";
                                        echo "<th style='width:15%;' class=''>Item</th>";
                                        echo "<th style='width:4%;' class='text-right'>Ctn. Qty.</th>";
                                        echo "<th style='width:4%;' class='text-right'> Qty. In Pairs</th>";
                                        echo "<th style='width:5%;' class='text-right'>Rate</th>";
                                        echo "<th style='width:5%;' class='text-right'>Amount</th>";
                                        echo "</tr>";
                                        echo "<thead>";
                                        echo "<tr>";

                                        $ctr2 = 0;
                                        $pctr2 = 0;
                                        $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            echo "<tr>";
                                            echo "<td>$ctr2</td>";
                                            echo "<td>$tran[barcode]</td>";
                                            echo "<td>$showitem[name]</td>";
                                            echo "<td class='text-right'>$tran[qty]</td>";
                                            echo "<td class='text-right'>$tran[pairs]</td>";
                                            echo "<td class='text-right'>$tran[cost]</td>";
                                            echo "<td class='text-right'>$tran[amount]</td>";
                                            echo "</tr>";

                                            $pcartqty = $pcartqty + $tran['cartqty'];
                                            $pqty = $pqty + $tran['qty'];
                                            $ptotqty = $ptotqty + $tran['totqty'];
                                            $ptotamount = $ptotamount + $tran['amount'];
                                            $ptotdiscount = $ptotdiscount + $tran['discamt'];
                                            $ptotvat = $ptotvat + $tran['vat'];
                                            $ptotal = $ptotal + $tran['total'];
                                        }

                                        echo "<tr style='background-color:#c7ecee;font-weight:bold;'>";
                                        echo "<td></td>";
                                        echo "<td></td>";
                                        echo "<td class='text-right'>Total</td>";
                                        echo "<td class='text-right'>$pqty</td>";
                                        echo "<td></td>";
                                        echo "<td></td>";
                                        echo "<td class='text-right'>$ptotamount</td>";
                                        echo "</tr>";
                                        echo "</table>";
                                    }
                                }
                                echo "<tr style='background-color: #98F9F0;color: red;'>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td></td>";
                                echo "<td></td>";

                                if ($ptype != "") {
                                    echo "<td></td>";
                                }
                                echo "<td class='text-right'><b>Total</b></td>";
                                echo "<td class='numeric text-right'><b>$gqty</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrsubtot</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrtotdis</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrtotvat</b></td>";
                                echo "<td class='numeric text-right'><b>$pgrtotbillamt</b></td>";
                                echo "</tr>";
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>

            <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}


if (isset($_POST["excel"]) || ($_GET["excel"])) {

    if ($getno2 > 0) {
        $contents .= "$formname \n";
        $contents .= "Total No. Of Records - $getno2 \n";

        if ($ptype != "") {
            $contents .= "Pay Type" . ",";
            $contents .= "$paytype" . "\n";
        }

        $contents .= "Sr, Voucher, Invoice No., Date, Party Name,";
        if ($ptype != "") {
            $contents .= "Pay Type,";
        }
        $contents .= "Total Qty., Sub Total, Disc Amt., GT, Net Amount \n";

        $pctr = 0;
        $ptotamt = 0;
        $ptotdiscamt = 0;
        $ptottaxable = 0;
        $ptotgst3 = 0;
        $ptotgst5 = 0;
        $ptotgst12 = 0;
        $ptotgst18 = 0;
        $ptotgst28 = 0;
        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
        $pchtypecond = "";

        $gqty = 0;
        while ($pmain = mysqli_fetch_array($getpmain2)) {
            $tqty = 0;
            if ($pmain['paidby'] == "C") {
                $ptyped = "CASH";
            } else {
                $ptyped = "CREDIT";
            }


            $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
            $sparty = mysqli_fetch_array($gparty);

            $getqty = mysqli_query($conn, "SELECT sum(qty) as tqty FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' ") or die(mysqli_error($conn));
            $fetqty = mysqli_fetch_array($getqty);
            $tqty = $fetqty['tqty'];
            $gqty = $gqty + $tqty;
            $voucher = $pmain['vouchno'];
            $invno = $pmain['invno'];
            $mydt = $pmain['mydt'];
            $party = $sparty['name'];
            $billamt = $pmain['billamt'];
            $subtot = $pmain['grossamt'];
            $totvat = $pmain['vatamt'];
            $totdisc = $pmain['totdisc'];

            $pctr++;
            $contents .= "$pctr" . ",";
            $contents .= "$voucher" . ",";
            $contents .= "$invno" . ",";
            $contents .= "$mydt" . ",";
            $contents .= "$party" . ",";
            if ($ptype != "") {
                $contents .= "$ptyped" . ",";
            }
            $contents .= "$tqty" . ",";
            $contents .= "$subtot" . ",";
            $contents .= "$totdisc" . ",";
            $contents .= "$totvat" . ",";
            $contents .= "$billamt" . "\n";

            $pgrsubtot = $pgrsubtot + $subtot;
            $pgrtotdis = $pgrtotdis + $totdisc;
            $pgrtotvat = $pgrtotvat + $totvat;
            $pgrtotbillamt = $pgrtotbillamt + $billamt;

            if ($_POST["dtype"] == 2) {

                $contents .= "Sr, Code, Item, Ctn. Qty., Qty. In Pairs, Rate, Amount \n";

                $ctr2 = 0;
                $pctr2 = 0;
                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                $gettran = mysqli_query($conn, "SELECT * FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                    $showitem = mysqli_fetch_array($getitem);

                    $ctr2++;
                    $contents .= "$ctr2" . ",";
                    $contents .= "$tran[barcode]" . ",";
                    $contents .= "$showitem[name]" . ",";
                    $contents .= "$tran[qty]" . ",";
                    $contents .= "$tran[pairs]" . ",";
                    $contents .= "$tran[cost]" . ",";
                    $contents .= "$tran[amount]" . "\n";

                    $pcartqty += $tran['cartqty'];
                    $pqty += $tran['qty'];
                    $ptotqty += $tran['totqty'];
                    $ptotamount += $tran['amount'];
                    $ptotdiscount += $tran['discamt'];
                    $ptotvat += $tran['vat'];
                    $ptotal += $tran['total'];
                }

                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "Total" . ",";
                $contents .= "$pqty" . ",";
                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "$ptotamount" . "\n";
            }
        }
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        if ($ptype != "") {
            $contents .= "" . ",";
        }
        $contents .= "Total" . ",";
        $contents .= "$gqty" . ",";
        $contents .= "$pgrsubtot" . ",";
        $contents .= "$pgrtotdis" . ",";
        $contents .= "$pgrtotvat" . ",";
        $contents .= "$pgrtotbillamt" . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>